Skip to main content
PUT
/
commerce
/
vendors
/
{vendorCode}
/
activate
Error
A valid request URL is required to generate request examples
{
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "contactInfo": {
    "address": {
      "address1": "<string>",
      "address2": "<string>",
      "address3": "<string>",
      "address4": "<string>",
      "addressType": "<string>",
      "cityOrTown": "<string>",
      "countryCode": "<string>",
      "isValidated": true,
      "postalOrZipCode": "<string>",
      "stateOrProvince": "<string>"
    },
    "email": "<string>",
    "phone": "<string>"
  },
  "inventoryRefresh": "<string>",
  "locations": [
    {
      "data": null,
      "locationCode": "<string>",
      "receiverId": "<string>"
    }
  ],
  "name": "<string>",
  "status": "<string>",
  "tenantId": 123,
  "vendorCode": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

vendorCode
string
required

Unique vendor code

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

Success

auditInfo
object
contactInfo
object
inventoryRefresh
string | null
locations
object[] | null
name
string | null
status
string | null
tenantId
integer<int32>
vendorCode
string | null